#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Fractal-Mandelbrot
Summary:	Math::Fractal::Mandelbrot - calculate points in the Mandelbrot fractal
Summary(pl.UTF-8):	Math::Fractal::Mandelbrot - obliczanie punktów we fraktalu Mandelbrota
Name:		perl-Math-Fractal-Mandelbrot
Version:	0.04
Release:	11
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b3658ce83d925e109b678dfcfa21dabf
URL:		http://search.cpan.org/dist/Math-Fractal-Mandelbrot/
BuildRequires:	perl-YAML
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module calculates points, horizontal/vertical stripes or
rectangular areas of the famous Mandelbrot fractal.

%description -l pl.UTF-8
Ten moduł oblicza punkty, poziome lub pionowe pasy lub prostokątne
obszary słynnego fraktala Mandelbrota.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES CREDITS README TODO
%dir %{perl_vendorarch}/Math/Fractal
%{perl_vendorarch}/Math/Fractal/Mandelbrot.pm
%dir %{perl_vendorarch}/auto/Math/Fractal
%dir %{perl_vendorarch}/auto/Math/Fractal/Mandelbrot
%attr(755,root,root) %{perl_vendorarch}/auto/Math/Fractal/Mandelbrot/Mandelbrot.so
%{_mandir}/man3/*
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Math-Fractal-Mandelbrot.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 1d7eb8b
- perl req/prov fix
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 71dcbfb
- rebuild with perl 5.26
- release 10 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 8e1ff30
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7f0d973
- release 8 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 6bb98c4
- x32 rebuild
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 50eeb77
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 08e88d9
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1206f0f
- rebuild for perl 5.20
- release 5 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 4fdca1f
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> fd133b1
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d5cbd5
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> fa0a003
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> d8326c9
- generic URL

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> e0f97be
- up to 0.04

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7d09922
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cbf9091
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 9881de6
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 1b72fff
- fixed perl-devel BR

* Fri Apr 23 2004 ankry <ankry@pld-linux.org> 7bec924
- license fixes, unification

* Sat Oct 25 2003 Jakub Bogusz <qboosh@pld-linux.org> 1433d09
- new

